"""Demonstrate proper way to update a list."""


def main():
    print('\nTrying (and failing) to update a list using a For-In:')
    states = ['Illinois', "Wisconsin", "Iowa"]
    print(f'Before the For-In: {states}')
    for state in states:
        state = state.upper()
    print(f'After the For-In: {states}')

    print('\nTrying (and succeeding) to update a list using a index expressions:')
    states = ['Illinois', "Wisconsin", "Iowa"]
    print(f'Before loop with index expressions: {states}')
    for i in range(len(states)):
        states[i] = states[i].upper()
    print(f'After loop with index expressions: {states}')


main()

