"""Demonstrate string method chaining."""


def main():
    print('\nOriginal content:')
    content = 'Monty Python\'s Flying Circus'
    print(content)

    print('\nManipulated using intermediate variables:')
    lower = content.lower()
    upper = lower.upper()
    title = upper.title()
    print(title)

    print('\nManipulated using method chaining:')
    result = content.lower().upper().title()
    print(result)


main()

